## org.eclipse.emf.ecore.impl
Class EStringToStringMapEntryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.EStringToStringMapEntryImpl

All Implemented Interfaces:
  java.util.Map.Entry<java.lang.String,java.lang.String>, Notifier, BasicEMap.Entry<java.lang.String,java.lang.String>, EObject, InternalEObject

    public class EStringToStringMapEntryImpl

extends EObjectImpl
implements BasicEMap.Entry<java.lang.String,java.lang.String>

An implementation of the model object 'EString To String Map Entry'.

The following features are implemented:

- `Key`
- `Value`

Nested Class Summary
`protected static class` `EStringToStringMapEntryImpl.EStringToStringMapEntryPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected URI` `eProxyURI`
`protected int` `hash`
`protected java.lang.String` `key` The cached value of the '`Key`' attribute
`protected static java.lang.String` `KEY_EDEFAULT` The default value of the '`Key`' attribute
`protected java.lang.String` `value` The cached value of the '`Value`' attribute
`protected static java.lang.String` `VALUE_EDEFAULT` The default value of the '`Value`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EStringToStringMapEntryImpl()`

Method Summary
`EList<EObject>` `eContents()` Returns a list view of the content objects; it is unmodifiable.
`EList<EObject>` `eCrossReferences()` Returns a list view of the cross referenced objects; it is unmodifiable.
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsProxy()` Indicates whether this object is a proxy.
`boolean` `eIsSet(int featureID)`
`protected BasicEObjectImpl.EPropertiesHolder` `eProperties()`
`URI` `eProxyURI()` Returns the proxy URI of this object.
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eSetProxyURI(URI uri)` Set the proxy URI of this object.
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EMap<java.lang.String,java.lang.String>` `getEMap()`
`int` `getHash()`
`java.lang.String` `getKey()`
`java.lang.String` `getTypedKey()`
`java.lang.String` `getTypedValue()`
`java.lang.String` `getValue()`
`void` `setHash(int hash)`
`void` `setKey(java.lang.String key)`
`void` `setTypedKey(java.lang.String newKey)`
`void` `setTypedKeyGen(java.lang.String newKey)`
`void` `setTypedValue(java.lang.String newValue)`
`java.lang.String` `setValue(java.lang.String value)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`equals, hashCode`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eContainer, eContainingFeature, eContainmentFeature, eGet, eGet, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eNotify`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### KEY_EDEFAULT

    protected static final java.lang.String KEY_EDEFAULT

  The default value of the '`Key`' attribute.

  See Also:
    `getTypedKey()`

### key

    protected java.lang.String key

  The cached value of the '`Key`' attribute.

  See Also:
    `getTypedKey()`

### VALUE_EDEFAULT

    protected static final java.lang.String VALUE_EDEFAULT

  The default value of the '`Value`' attribute.

  See Also:
    `getTypedValue()`

### value

    protected java.lang.String value

  The cached value of the '`Value`' attribute.

  See Also:
    `getTypedValue()`

### eProxyURI

    protected URI eProxyURI

### hash

    protected int hash

Constructor Detail

### EStringToStringMapEntryImpl

    protected EStringToStringMapEntryImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### eProperties

    protected BasicEObjectImpl.EPropertiesHolder eProperties()

  Overrides:
    `eProperties` in class `EObjectImpl`

### eIsProxy

    public boolean eIsProxy()

  Description copied from interface: `EObject`
  Indicates whether this object is a proxy.

  A proxy is an object that is defined in a `Resource` that has not been loaded. An object may be a proxy either because proxy resolution was disabled when the object was accessed (see `EObject.eGet(EStructuralFeature,boolean)`) or because proxy `resolution` failed.

  Specified by:
    `eIsProxy` in interface `EObject`
  Overrides:
    `eIsProxy` in class `EObjectImpl`
  Returns:
    `true` if this object is a proxy or `false`, otherwise.
  See Also:
    `Resource.unload()`, `EcoreUtil.resolve(EObject, org.eclipse.emf.ecore.resource.ResourceSet)`

### eProxyURI

    public URI eProxyURI()

  Description copied from interface: `InternalEObject`
  Returns the proxy URI of this object. It can be used to `resolve` to the actual object.

  Specified by:
    `eProxyURI` in interface `InternalEObject`
  Overrides:
    `eProxyURI` in class `BasicEObjectImpl`
  Returns:
    the proxy URI of this object.
  See Also:
    `EcoreUtil.resolve(EObject, org.eclipse.emf.ecore.resource.ResourceSet)`, `Resource.unload()`

### eSetProxyURI

    public void eSetProxyURI(URI uri)

  Description copied from interface: `InternalEObject`
  Set the proxy URI of this object. It will be used to `resolve` to the actual object.

  Specified by:
    `eSetProxyURI` in interface `InternalEObject`
  Overrides:
    `eSetProxyURI` in class `EObjectImpl`
  Parameters:
    `uri` - the URI.
  See Also:
    `EcoreUtil.resolve(EObject, org.eclipse.emf.ecore.resource.ResourceSet)`, `Resource.unload()`

### eContents

    public EList<EObject> eContents()

  Description copied from interface: `EObject`
  Returns a list view of the content objects; it is unmodifiable.

  This will be the list of `EObject`s determined by the `contents` of the `containment features` of this object's `meta class`. Objects can, `indirectly`, be removed and will change to reflect `container` changes. The implicit `tree` of contents is also directly available.

  Specified by:
    `eContents` in interface `EObject`
  Overrides:
    `eContents` in class `BasicEObjectImpl`
  Returns:
    a list view of the content objects.
  See Also:
    `EObject.eContainer()`, `EClass.getEAllContainments()`, `EObject.eGet(EStructuralFeature)`, `EcoreUtil.remove(EObject)`, `EObject.eAllContents()`

### eCrossReferences

    public EList<EObject> eCrossReferences()

  Description copied from interface: `EObject`
  Returns a list view of the cross referenced objects; it is unmodifiable.

  This will be the list of `EObject`s determined by the `contents` of the `reference features` of this object's `meta class`, excluding `containment features` and their `opposites`. The cross reference list's iterator will be of type `EContentsEList.FeatureIterator`, for efficient determination of the `feature` of each cross reference in the list, e.g.,

        for (EContentEList.FeatureIterator featureIterator =
              (EContentEList.FeatureIterator)eObject.eCrossReferences().iterator();
             featureIterator.hasNext(); )
        {
          EObject eObject = (EObject)featureIterator.next();
          EReference eReference = (EReference)featureIterator.feature();
          ...
        }

  Specified by:
    `eCrossReferences` in interface `EObject`
  Overrides:
    `eCrossReferences` in class `BasicEObjectImpl`
  Returns:
    a list view of the cross referenced objects.
  See Also:
    `EObject.eContents()`, `EClass.getEAllReferences()`, `EClass.getEAllContainments()`, `EObject.eGet(EStructuralFeature)`, `EcoreUtil.CrossReferencer`

### getTypedKey

    public java.lang.String getTypedKey()

### setTypedKeyGen

    public void setTypedKeyGen(java.lang.String newKey)

### setTypedKey

    public void setTypedKey(java.lang.String newKey)

### getTypedValue

    public java.lang.String getTypedValue()

### setTypedValue

    public void setTypedValue(java.lang.String newValue)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

### getHash

    public int getHash()

  Specified by:
    `getHash` in interface `BasicEMap.Entry<java.lang.String,java.lang.String>`

### setHash

    public void setHash(int hash)

  Specified by:
    `setHash` in interface `BasicEMap.Entry<java.lang.String,java.lang.String>`
  Parameters:
    `hash` - the hash.

### getKey

    public java.lang.String getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry<java.lang.String,java.lang.String>`

### setKey

    public void setKey(java.lang.String key)

  Specified by:
    `setKey` in interface `BasicEMap.Entry<java.lang.String,java.lang.String>`
  Parameters:
    `key` - the key.

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `java.util.Map.Entry<java.lang.String,java.lang.String>`

### setValue

    public java.lang.String setValue(java.lang.String value)

  Specified by:
    `setValue` in interface `java.util.Map.Entry<java.lang.String,java.lang.String>`

### getEMap

    public EMap<java.lang.String,java.lang.String> getEMap()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.